<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE components PUBLIC "-//AJAX4JSF//CDK Generator config/EN"  "https://ajax4jsf.dev.java.net/nonav/dtds/component-config.dtd" >
<components>
	<component>
		<name>org.richfaces.DragSupport</name>
		<family>org.richfaces.DragSupport</family>
		<classname>org.richfaces.component.html.HtmlDragSupport</classname>
		<superclass>org.richfaces.component.UIDragSupport</superclass>
		<test>
			<classname>org.richfaces.component.html.HtmlDragSupportComponentTest</classname>
			<superclassname>org.ajax4jsf.tests.AbstractAjax4JsfTestCase</superclassname>
		</test>
		<description>
			<![CDATA[
    ]]>
		</description>
		<renderer generate="false" override="true">
			<name>org.richfaces.DragSupportRenderer</name>
			<classname>org.richfaces.renderkit.html.DragSupportRenderer</classname>
		</renderer>
		<tag>
			<name>dragSupport</name>
			<classname>org.richfaces.taglib.DragSupportTag</classname>
			<superclass>org.ajax4jsf.webapp.taglib.HtmlComponentTagBase</superclass>
		</tag>
		<taghandler>
			<classname>org.richfaces.taglib.DragSupportHandler</classname>
		</taghandler>

		&draggable_attributes;
		&ui_command_attributes;
		&ajax_component_attributes;
		
		<!--
		<property>
			<name>param</name>
			<classname>java.lang.String</classname>
			<description>
			</description>
			<defaultvalue>"default"</defaultvalue>
		</property>
		-->
		<property elonly="true" attachedstate="true">
			<name>dragListener</name>
			<classname>javax.faces.el.MethodBinding</classname>
			<description>
				MethodBinding representing an action listener method that will be notified after drag operation
			</description>
			<methodargs>org.richfaces.event.DragEvent.class</methodargs>
		</property>
		<property>
			<name>disableDefault</name>
			<classname>java.lang.String</classname>
			<description>
				Disable default action for target event (append "return false;" to JavaScript)
			</description>
		</property>
		<property>
			<name>onsubmit</name>
			<classname>java.lang.String</classname>
			<description>
				JavaScript code for call before submission of ajax event
			</description>
		</property>
		<property hidden="true" >
                <name>actionExpression</name>
                <classname>java.lang.String</classname>
                <description>The action method binding expression</description>
        </property>
		
	</component>

 
 	<listener>
		<name>dragListener</name>
		<listenerclass>
			org.richfaces.event.DragListener
		</listenerclass>
		<componentclass>
			org.richfaces.component.Draggable
		</componentclass>
		<eventclass>
			org.richfaces.event.DragEvent
		</eventclass>
		<taghandler generate="true">
			<classname>
				org.richfaces.taglib.DragListenerHandler
			</classname>
		</taghandler>
		<tag generate="true">
			<classname>
				org.richfaces.taglib.DragListenerTag
			</classname>
		</tag>
	</listener>
</components>
